using BBM.ChatGLM.Dtos;
using Volo.Abp.Application.Dtos;

namespace BBM.ChatGLM.ChatSession
{
    public interface IChatSessionsAppService : IApplicationService
    {
        Task<PagedResultDto<ChatSessionDto>> PageAsync(ChatSessionPageInput input);
        Task<ChatSessionDto> CreateAsync(ChatSessionCreateInput input);
        Task<ChatSessionDto> UpdateAsync(ChatSessionUpdateInput input);
    }
}
